<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

namespace core_grades\output;

use templatable;
use renderable;

/**
 * The base class for the action bar in the gradebook pages.
 *
 * @package    core_grades
 * @copyright  2021 Mihail Geshoski <mihail@moodle.com>
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
abstract class action_bar implements templatable, renderable {

    /** @var \context $context The context object. */
    protected $context;

    /**
     * The class constructor.
     *
     * @param \context $context The context object.
     */
    public function __construct(\context $context) {
        $this->context = $context;
    }

    /**
     * Returns the template for the actions bar.
     *
     * @return string
     */
    abstract public function get_template(): string;
}
